Information about vendor reporting.
Get links to permitted vendor reporting resources.
Forge and OAuth2 apps cannot access this REST resource.
string
Required1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/"
},
"appRequestsAndApprovals": {
"href": "/rest/3/reporting/developer-space/{developerId}/app-requests-and-approvals{?productId*,startDate,endDate}",
"templated": true,
"type": "application/json",
"name": "appRequestsAndApprovals"
},
"cloudChurn": [
{
"href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/churn{?aggregation,startDate,endDate}",
"templated": true,
"type": "application/json",
"name": "aggregated"
}
],
"cloudConversions": [
{
"href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/conversion{?aggregation,startDate,endDate}",
"templated": true,
"type": "application/json",
"name": "aggregated"
}
],
"cloudRenewals": [
{
"href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/renewal{?aggregation,startDate,endDate}",
"templated": true,
"type": "application/json",
"name": "aggregated"
}
],
"cloudChurnBenchmark": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/churn/benchmark{?productId*,startDate,endDate}",
"templated": true,
"type": "application/json",
"name": "cloudChurnBenchmark"
},
"cloudEvaluationBenchmark": {
"href": "/rest/3/reporting/developer-space/{developerId}/benchmark/evaluations{?productId*,startDate,endDate}",
"templated": true,
"type": "application/json",
"name": "cloudEvaluationBenchmark"
},
"cloudSalesBenchmark": {
"href": "/rest/3/reporting/developer-space/{developerId}/benchmark/sales{?productId*,startDate,endDate}",
"templated": true,
"type": "application/json",
"name": "cloudSalesBenchmark"
},
"customerInsightsLinks": [
{
"href": "/rest/3/reporting/developer-space/{developerId}/customer-insights/active-users{?startDate,endDate}",
"templated": true,
"type": "application/json",
"name": "activeUsers"
}
],
"evaluationsByCountry": {
"href": "/rest/3/reporting/developer-space/{developerId}/evaluations/country{?aggregation,startDate,endDate}",
"templated": true,
"type": "application/json",
"name": "evaluationsByCountry"
},
"evaluationsByHosting": {
"href": "/rest/3/reporting/developer-space/{developerId}/evaluations/hosting{?aggregation,startDate,endDate}",
"templated": true,
"type": "application/json",
"name": "evaluationsByHosting"
},
"evaluationsByPartner": {
"href": "/rest/3/reporting/developer-space/{developerId}/evaluations/partner{?aggregation,startDate,endDate}",
"templated": true,
"type": "application/json",
"name": "evaluationsByPartner"
},
"evaluationsByRegion": {
"href": "/rest/3/reporting/developer-space/{developerId}/evaluations/region{?aggregation,startDate,endDate}",
"templated": true,
"type": "application/json",
"name": "evaluationsByRegion"
},
"feedbackLinks": [
{
"href": "/rest/3/reporting/developer-space/{developerId}/feedback/details{?type*,anonymous,reason*,productId*,hosting*,appEdition*,startDate,endDate,text,offset,limit}",
"templated": true,
"type": "application/json",
"name": "feedback"
}
],
"feedbackExport": [
{
"href": "/rest/3/reporting/developer-space/{developerId}/feedback/details/export?accept=csv{&type*,anonymous,reason*,productId*,hosting*,appEdition*,startDate,endDate,text,offset,limit}",
"templated": true,
"type": "text/csv",
"name": "feedbackExport"
}
],
"freeStarterTier": [
{
"href": "/rest/3/reporting/developer-space/{developerId}/sales/freeStarterTier/export?accept=csv",
"templated": true,
"type": "text/csv",
"name": "freeStarterTierExport"
}
],
"licenses": {
"href": "/rest/3/reporting/developer-space/{developerId}/licenses{?productId*,startDate,endDate,text,tier*,dateType,licenseType*,partnerType*,hosting*,status*,withAttribution,withDataInsights,includeAtlassianLicenses,lastUpdated,sortBy,order,offset,limit}",
"templated": true,
"type": "application/json",
"name": "licenses"
},
"licensesExport": [
{
"href": "/rest/3/reporting/developer-space/{developerId}/licenses/export?accept=csv{&productId*,startDate,endDate,text,tier*,dateType,licenseType*,partnerType*,hosting*,status*,withAttribution,withDataInsights,includeAtlassianLicenses,lastUpdated,sortBy,order,offset,limit}",
"templated": true,
"type": "text/csv",
"name": "licensesExport"
}
],
"transactions": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/transactions{?productId*,startDate,endDate,text,tier*,saleType*,partnerType*,hosting*,billingPeriod*,lastUpdated,excludeZeroTransactions,includeManualInvoice,paymentStatus*,sortBy,order,offset,limit}",
"templated": true,
"type": "application/json",
"name": "transactions"
},
"transactionsExport": [
{
"href": "/rest/3/reporting/developer-space/{developerId}/sales/transactions/export?accept=csv{&productId*,startDate,endDate,text,tier*,saleType*,partnerType*,hosting*,billingPeriod*,lastUpdated,excludeZeroTransactions,includeManualInvoice,paymentStatus*,sortBy,order,offset,limit}",
"templated": true,
"type": "text/csv",
"name": "transactionsExport"
}
],
"transactionsByCountry": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/transactions/country{?aggregation,startDate,endDate}",
"templated": true,
"type": "application/json",
"name": "transactionsByCountry"
},
"transactionsByHosting": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/transactions/hosting{?aggregation,startDate,endDate}",
"templated": true,
"type": "application/json",
"name": "transactionsByHosting"
},
"transactionsByPartner": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/transactions/partner{?aggregation,startDate,endDate}",
"templated": true,
"type": "application/json",
"name": "transactionsByPartner"
},
"transactionsByRegion": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/transactions/region{?aggregation,startDate,endDate}",
"templated": true,
"type": "application/json",
"name": "transactionsByRegion"
},
"transactionsByTier": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/transactions/tier{?aggregation,startDate,endDate}",
"templated": true,
"type": "application/json",
"name": "transactionsByTier"
},
"transactionsByType": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/transactions/type{?aggregation,startDate,endDate}",
"templated": true,
"type": "application/json",
"name": "transactionsByType"
}
}
}Get a list of feedback for the specified vendor's apps. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredarray<string>
boolean
array<string>
array<string>
array<string>
array<string>
string
string
string
integer
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/feedback/details' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/feedback/details"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/feedback/details{?type*,anonymous,reason*,productId*,hosting*,appEdition*,startDate,endDate,text,offset,limit}",
"templated": true
},
"prev": {
"href": "/rest/3/reporting/developer-space/{developerId}/feedback/details?offset=0&limit=10"
},
"next": {
"href": "/rest/3/reporting/developer-space/{developerId}/feedback/details?offset=10&limit=10"
}
},
"totalCount": 100,
"feedback": [
{
"addonKey": "test-app",
"productId": "acd011b1-1111-45bc-902a-247046a11111",
"addonVersion": "1.0.0",
"applicationKey": "jira",
"hosting": "Cloud",
"appEdition": "Standard",
"date": "2025-01-01",
"feedbackType": "unsubscribe",
"reasonKey": "expectations",
"reason": "The app did not meet my expectations",
"message": "",
"appEntitlementId": "1a1a11aa-aa11-1a11-aa1a-aa111a1111a1",
"appEntitlementNumber": "E-111-AAA-AAA-11A",
"cloudId": "111bb111-111b-1bb1-1b1b-1111b1b1b111"
}
]
}Get aggregated evaluations for the specified vendor, aggregated by the specified metric. Evaluations can be aggregated by hosting, region, and more. This resource requires authentication.
Note: The API response example is by hosting.
To retrieve data by specific criteria, use the following endpoints:
country: /rest/3/reporting/developer-space/{developerId}/evaluations/country
Sample reponse
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33Request { "query": { "href": "/rest/3/reporting/developer-space/{developerId}/evaluations/country{?aggregation,startDate,endDate}", "templated": true }, "total": { "name": "All apps", "series": [ { "name": "Albania", "elements": [ {"date": "2025-02-16", "count": 4} ] } ] }, "addons": [ { "addonKey": "app-key-1", "productId": "acd011b1-1111-45bc-902a-247046a11111", "name": "App 1", "series": [ { "name": "Albania", "elements": [ {"date": "2025-02-16", "count": 2} ] } ] } ] }
partner: /rest/3/reporting/developer-space/{developerId}/evaluations/partner
Sample reponse
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32{ "query": { "href": "/rest/3/reporting/developer-space/{developerId}/evaluations/partner{?aggregation,startDate,endDate}", "templated": true }, "total": { "name": "All apps", "series": [ { "name": "Partner 1", "elements": [ {"date": "2025-02-16", "count": 4} ] } ] }, "addons": [ { "addonKey": "app-key-1", "productId": "acd011b1-1111-45bc-902a-247046a11111" "name": "App 1", "series": [ { "name": "Partner 1", "elements": [ {"date": "2025-02-16", "count": 2} ] } ] } ] }
region: /rest/3/reporting/developer-space/{developerId}/evaluations/region
Sample reponse
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32{ "query": { "href": "/rest/3/reporting/developer-space/{developerId}/evaluations/region{?aggregation,startDate,endDate}", "templated": true }, "total": { "name": "All apps", "series": [ { "name": "APAC", "elements": [ {"date": "2025-02-16", "count": 4} ] } ] }, "addons": [ { "addonKey": "app-key-1", "productId": "acd011b1-1111-45bc-902a-247046a11111" "name": "App 1", "series": [ { "name": "APAC", "elements": [ {"date": "2025-02-16", "count": 2} ] } ] } ] }
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
Requiredstring
string
string
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/evaluations/{metric}' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/evaluations/hosting"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/evaluations/hosting{?aggregation,startDate,endDate}",
"templated": true
}
},
"total": {
"name": "All apps",
"series": [
{
"name": "Cloud",
"evaluationType": "Net new evaluation",
"elements": [
{
"date": "2025-02-16",
"count": 4
},
{
"date": "2025-02-23",
"count": 4
},
{
"date": "2025-03-02",
"count": 4
},
{
"date": "2025-03-09",
"count": 4
},
{
"date": "2025-03-16",
"count": 8
}
]
},
{
"name": "Data Center",
"evaluationType": "Net new evaluation",
"elements": [
{
"date": "2025-02-16",
"count": 2
},
{
"date": "2025-02-23",
"count": 2
},
{
"date": "2025-03-02",
"count": 2
},
{
"date": "2025-03-09",
"count": 2
},
{
"date": "2025-03-16",
"count": 4
}
]
},
{
"name": "Server",
"evaluationType": "Net new evaluation",
"elements": [
{
"date": "2025-02-16",
"count": 2
},
{
"date": "2025-02-23",
"count": 0
},
{
"date": "2025-03-02",
"count": 0
},
{
"date": "2025-03-09",
"count": 0
},
{
"date": "2025-03-16",
"count": 0
}
]
}
]
},
"addons": [
{
"addonKey": "app-key-1",
"productId": "acd011b1-1111-45bc-902a-247046a11111",
"name": "App 1",
"series": [
{
"name": "Cloud",
"evaluationType": "Net new evaluation",
"elements": [
{
"date": "2025-02-16",
"count": 2
},
{
"date": "2025-02-23",
"count": 2
},
{
"date": "2025-03-02",
"count": 2
},
{
"date": "2025-03-09",
"count": 2
},
{
"date": "2025-03-16",
"count": 6
}
]
},
{
"name": "Data Center",
"evaluationType": "Net new evaluation",
"elements": [
{
"date": "2025-02-16",
"count": 1
},
{
"date": "2025-02-23",
"count": 1
},
{
"date": "2025-03-02",
"count": 1
},
{
"date": "2025-03-09",
"count": 1
},
{
"date": "2025-03-16",
"count": 2
}
]
},
{
"name": "Server",
"evaluationType": "Net new evaluation",
"elements": [
{
"date": "2025-02-16",
"count": 1
},
{
"date": "2025-02-23",
"count": 0
},
{
"date": "2025-03-02",
"count": 0
},
{
"date": "2025-03-09",
"count": 0
},
{
"date": "2025-03-16",
"count": 0
}
]
}
]
},
{
"addonKey": "app-key-2",
"productId": "acd011b1-1111-45bc-902a-247046a11111",
"name": "App 2",
"series": [
{
"name": "Cloud",
"evaluationType": "Net new evaluation",
"elements": [
{
"date": "2025-02-16",
"count": 2
},
{
"date": "2025-02-23",
"count": 2
},
{
"date": "2025-03-02",
"count": 2
},
{
"date": "2025-03-09",
"count": 2
},
{
"date": "2025-03-16",
"count": 2
}
]
},
{
"name": "Data Center",
"evaluationType": "Net new evaluation",
"elements": [
{
"date": "2025-02-16",
"count": 1
},
{
"date": "2025-02-23",
"count": 1
},
{
"date": "2025-03-02",
"count": 1
},
{
"date": "2025-03-09",
"count": 1
},
{
"date": "2025-03-16",
"count": 2
}
]
},
{
"name": "Server",
"evaluationType": "Net new evaluation",
"elements": [
{
"date": "2025-02-16",
"count": 1
},
{
"date": "2025-02-23",
"count": 0
},
{
"date": "2025-03-02",
"count": 0
},
{
"date": "2025-03-09",
"count": 0
},
{
"date": "2025-03-16",
"count": 0
}
]
}
]
}
]
}Get aggregated feedback for the specified vendor, aggregated by the specified metric.
Feedback can be aggregated by type and reason.
This resource requires authentication.
Note: The API response example is based on feedback aggregated by reason.
To retrieve data by type, use the following endpoint:
/rest/3/reporting/developer-space/{developerId}/feedback/metrics/type
Sample reponse
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32"query": { "href": "/rest/3/reporting/developer-space/{developerId}/feedback/metrics/type{?aggregation,startDate,endDate}", "templated": true } }, "total": { "name": "All apps", "series": [ { "name": "unsubscribe", "elements": [ {"date": "2025-02-16", "count": 4} ] } ] }, "addons": [ { "addonKey": "app-key-1", "productId": "acd011b1-1111-45bc-902a-247046a11111" "name": "App 1", "series": [ { "name": "unsubscribe", "elements": [ {"date": "2025-02-16", "count": 2} ] } ] } ] }
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
Requiredstring
string
string
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/feedback/metrics/{metric}' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/feedback/metrics/reason"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/feedback/metrics/reason{?aggregation,startDate,endDate,productId*,hosting*,appEdition*}",
"templated": true
}
},
"total": {
"name": "All apps",
"series": [
{
"name": "alternative",
"elements": [
{
"date": "2025-02-16",
"count": 4
},
{
"date": "2025-02-23",
"count": 4
},
{
"date": "2025-03-02",
"count": 4
},
{
"date": "2025-03-09",
"count": 4
},
{
"date": "2025-03-16",
"count": 8
}
]
},
{
"name": "appFunctionality",
"elements": [
{
"date": "2025-02-16",
"count": 2
},
{
"date": "2025-02-23",
"count": 2
},
{
"date": "2025-03-02",
"count": 2
},
{
"date": "2025-03-09",
"count": 2
},
{
"date": "2025-03-16",
"count": 4
}
]
},
{
"name": "cost",
"elements": [
{
"date": "2025-02-16",
"count": 2
},
{
"date": "2025-02-23",
"count": 0
},
{
"date": "2025-03-02",
"count": 0
},
{
"date": "2025-03-09",
"count": 0
},
{
"date": "2025-03-16",
"count": 0
}
]
}
]
},
"addons": [
{
"addonKey": "app-key-1",
"productId": "acd011b1-1111-45bc-902a-247046a11111",
"name": "App 1",
"series": [
{
"name": "alternative",
"elements": [
{
"date": "2025-02-16",
"count": 2
},
{
"date": "2025-02-23",
"count": 2
},
{
"date": "2025-03-02",
"count": 2
},
{
"date": "2025-03-09",
"count": 2
},
{
"date": "2025-03-16",
"count": 6
}
]
},
{
"name": "appFunctionality",
"elements": [
{
"date": "2025-02-16",
"count": 1
},
{
"date": "2025-02-23",
"count": 1
},
{
"date": "2025-03-02",
"count": 1
},
{
"date": "2025-03-09",
"count": 1
},
{
"date": "2025-03-16",
"count": 2
}
]
},
{
"name": "cost",
"elements": [
{
"date": "2025-02-16",
"count": 1
},
{
"date": "2025-02-23",
"count": 0
},
{
"date": "2025-03-02",
"count": 0
},
{
"date": "2025-03-09",
"count": 0
},
{
"date": "2025-03-16",
"count": 0
}
]
}
]
},
{
"addonKey": "app-key-2",
"productId": "acd011b1-1111-45bc-902a-247046a11111",
"name": "App 2",
"series": [
{
"name": "alternative",
"elements": [
{
"date": "2025-02-16",
"count": 2
},
{
"date": "2025-02-23",
"count": 2
},
{
"date": "2025-03-02",
"count": 2
},
{
"date": "2025-03-09",
"count": 2
},
{
"date": "2025-03-16",
"count": 2
}
]
},
{
"name": "appFunctionality",
"elements": [
{
"date": "2025-02-16",
"count": 1
},
{
"date": "2025-02-23",
"count": 1
},
{
"date": "2025-03-02",
"count": 1
},
{
"date": "2025-03-09",
"count": 1
},
{
"date": "2025-03-16",
"count": 2
}
]
},
{
"name": "cost",
"elements": [
{
"date": "2025-02-16",
"count": 1
},
{
"date": "2025-02-23",
"count": 0
},
{
"date": "2025-03-02",
"count": 0
},
{
"date": "2025-03-09",
"count": 0
},
{
"date": "2025-03-16",
"count": 0
}
]
}
]
}
]
}Get a list of licenses for the specified vendor's apps. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredarray<string>
string
string
string
array<integer>
string
array<string>
array<string>
array<string>
array<CloudComplianceBoundary>
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/licenses' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/licenses?hosting=cloud&withDataInsights=true&withAttribution=true"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/licenses{?productId*,startDate,endDate,text,tier*,dateType,licenseType*,partnerType*,hosting*,status*,withAttribution,withDataInsights,includeAtlassianLicenses,lastUpdated,sortBy,order,offset,limit}",
"templated": true
},
"export": [
{
"href": "/rest/3/reporting/developer-space/{developerId}/licenses/export?hosting=cloud&withDataInsights=true&withAttribution=true&accept=csv",
"type": "text/csv"
},
{
"href": "/rest/3/reporting/developer-space/{developerId}/licenses/export?hosting=cloud&withDataInsights=true&withAttribution=true&accept=json",
"type": "application/json"
}
],
"prev": {
"href": "/rest/3/reporting/developer-space/{developerId}/licenses?hosting=cloud&withDataInsights=true&withAttribution=true&offset=0&limit=10"
},
"next": {
"href": "/rest/3/reporting/developer-space/{developerId}/licenses?hosting=cloud&withDataInsights=true&withAttribution=true&offset=10&limit=10"
}
},
"totalCount": 150,
"licenses": [
{
"appEntitlementId": "1a1a11aa-aa11-1a11-aa1a-aa111a1111a1",
"appEntitlementNumber": "E-111-AAA-AAA-11A",
"hostEntitlementId": "1b1b11bb-bb11-1b11-bb1b-bb111b1111b1",
"hostEntitlementNumber": "E-111-BBB-BBB-11B",
"cloudId": "111cc111-111c-1cc1-1c1c-1111c1c1c111",
"cloudSiteHostname": "test.atlassian.net",
"addonKey": "test-app",
"productId": "acd011b1-1111-45bc-902a-247046a11111",
"addonName": "Test App",
"hosting": "Cloud",
"appEdition": "Advanced",
"newBillingSystem": "Yes",
"lastUpdated": "2025-01-01",
"licenseType": "COMMERCIAL",
"maintenanceStartDate": "2024-12-01",
"maintenanceEndDate": "2025-02-01",
"status": "active",
"tier": "15 Users",
"contactDetails": {
"technicalContact": {
"email": "test@gmail.com",
"name": "test name",
"address1": "test",
"city": "test",
"postcode": "123",
"phone": "0"
},
"billingContact": {
"email": "test@gmail.com",
"name": "test name",
"address1": "test",
"city": "test",
"postcode": "123",
"phone": "0"
},
"company": "test",
"country": "Germany",
"region": "EMEA"
},
"extendedServerSupport": "NA",
"evaluationOpportunitySize": "NA",
"evaluationLicense": "1a1a11aa-aa11-1a11-aa1a-aa111a1111a1",
"daysToConvertEval": "NA",
"evaluationStartDate": "2024-12-01",
"evaluationEndDate": "2025-01-01",
"parentProductBillingCycle": "NA",
"parentProductName": "Confluence",
"installedOnSandbox": "No",
"parentProductEdition": "Standard",
"licenseSourceType": "Non-Atlassian",
"transactionAccountId": "111dd111-111d-1dd1-1d1d-1111d1d1d111",
"cloudComplianceBoundaries": [
"commercial"
]
}
]
}Export all licenses, matching the specified filters, for the specified vendor's apps. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredarray<string>
string
string
string
array<integer>
string
array<string>
array<string>
array<string>
array<CloudComplianceBoundary>
Content downloaded will be the CSV/JSON file
1
2
3
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/licenses/export' \
--user 'email@example.com:<api_token>'Initiate a POST request to export all licenses that match the specified filters for the vendor's apps. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredarray<string>
string
string
string
array<integer>
string
array<string>
array<string>
array<string>
array<CloudComplianceBoundary>
1
2
3
4
curl --request POST \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/licenses/async/export' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/licenses/async/export"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/licenses/async/export?hosting=cloud&withDataInsights=true&withAttribution=true&accept=csv"
},
"status": {
"href": "/rest/3/reporting/developer-space/{developerId}/licenses/async/export/638035ff-ef0f-412b-addd-8bf144bcdfa1/status"
},
"download": {
"href": "/rest/3/reporting/developer-space/{developerId}/licenses/async/export/638035ff-ef0f-412b-addd-8bf144bcdfa1"
}
},
"export": {
"id": "638035ff-ef0f-412b-addd-8bf144bcdfa1"
}
}Get status for async export license request
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
Required1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/licenses/async/export/{exportId}/status' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/licenses/async/export/000aaaa0-a000-0a00-a000-a0aa0a0000a0/status"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/licenses/async/export/000aaaa0-a000-0a00-a000-a0aa0a0000a0/status"
},
"download": {
"href": "/rest/3/reporting/developer-space/{developerId}/licenses/async/export/000aaaa0-a000-0a00-a000-a0aa0a0000a0"
}
},
"export": {
"id": "000aaaa0-a000-0a00-a000-a0aa0a0000a0",
"status": "COMPLETED"
}
}Download async export licenses
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
RequiredContent downloaded will be the CSV/JSON file
1
2
3
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/licenses/async/export/{exportId}' \
--user 'email@example.com:<api_token>'Initiate a POST request to export all marketing attribution data that matches the specified filters for the vendor's apps. The data will include customer activities on app related pages in the last 30 days before start of evaluation. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredarray<string>
string
string
string
string
1
2
3
4
curl --request POST \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/marketing-attribution/async/export' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/marketing-attribution/async/export"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/marketing-attribution/async/export?productId=acd011b1-1111-45bc-902a-247046a11111"
},
"status": {
"href": "/rest/3/reporting/developer-space/{developerId}/marketing-attribution/async/export/000aaaa0-a000-0a00-a000-a0aa0a0000a0/status"
},
"download": {
"href": "/rest/3/reporting/developer-space/{developerId}/marketing-attribution/async/export/000aaaa0-a000-0a00-a000-a0aa0a0000a0"
}
},
"export": {
"id": "000aaaa0-a000-0a00-a000-a0aa0a0000a0"
}
}Get status for async export marketing attribution request.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
Required1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/async/export/{exportId}/status' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/marketing-attribution/async/export/000aaaa0-a000-0a00-a000-a0aa0a0000a0/status"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/marketing-attribution/async/export/000aaaa0-a000-0a00-a000-a0aa0a0000a0/status"
},
"download": {
"href": "/rest/3/reporting/developer-space/{developerId}/marketing-attribution/async/export/000aaaa0-a000-0a00-a000-a0aa0a0000a0"
}
},
"export": {
"id": "000aaaa0-a000-0a00-a000-a0aa0a0000a0",
"status": "COMPLETED"
}
}Download async export marketing attribution.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
RequiredContent downloaded will be the CSV/JSON file
1
2
3
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/async/export/{exportId}' \
--user 'email@example.com:<api_token>'Get a list of Cloud churn events for the specified vendor's apps. For a given period, churn is calculated as the number of paying customers that have an opportunity to renew and choose to stop paying. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
string
string
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/sales/metrics/churn' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/churn"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/churn{?aggregation,startDate,endDate}",
"templated": true
}
},
"total": {
"name": "All apps",
"datasets": [
{
"name": "Monthly",
"series": [
{
"name": "Customers",
"uniqueTotal": 100,
"elements": [
{
"date": "2025-02-23",
"count": 20
},
{
"date": "2025-03-02",
"count": 30
},
{
"date": "2025-03-09",
"count": 50
}
]
},
{
"name": "Cancellations",
"uniqueTotal": 10,
"elements": [
{
"date": "2025-02-23",
"count": 2
},
{
"date": "2025-03-02",
"count": 5
},
{
"date": "2025-03-09",
"count": 3
}
]
}
]
},
{
"name": "Annual",
"series": [
{
"name": "Customers",
"uniqueTotal": 87,
"elements": [
{
"date": "2025-02-23",
"count": 22
},
{
"date": "2025-03-02",
"count": 36
},
{
"date": "2025-03-09",
"count": 53
}
]
},
{
"name": "Cancellations",
"uniqueTotal": 54,
"elements": [
{
"date": "2025-02-23",
"count": 7
},
{
"date": "2025-03-02",
"count": 21
},
{
"date": "2025-03-09",
"count": 26
}
]
}
]
}
]
},
"addons": [
{
"addonKey": "test-app",
"productId": "acd011b1-1111-45bc-902a-247046a11111",
"name": "Test App",
"datasets": [
{
"name": "Monthly",
"series": [
{
"name": "Customers",
"uniqueTotal": 100,
"elements": [
{
"date": "2025-02-23",
"count": 20
},
{
"date": "2025-03-02",
"count": 30
},
{
"date": "2025-03-09",
"count": 50
}
]
},
{
"name": "Cancellations",
"uniqueTotal": 10,
"elements": [
{
"date": "2025-02-23",
"count": 2
},
{
"date": "2025-03-02",
"count": 5
},
{
"date": "2025-03-09",
"count": 3
}
]
}
]
},
{
"name": "Annual",
"series": [
{
"name": "Customers",
"uniqueTotal": 87,
"elements": [
{
"date": "2025-02-23",
"count": 22
},
{
"date": "2025-03-02",
"count": 36
},
{
"date": "2025-03-09",
"count": 53
}
]
}
]
},
{
"name": "Cancellations",
"uniqueTotal": 54,
"elements": [
{
"date": "2025-02-23",
"count": 7
},
{
"date": "2025-03-02",
"count": 21
},
{
"date": "2025-03-09",
"count": 26
}
]
}
]
}
]
}Get a list of Cloud conversion events for the specified vendor's apps. For a given period, conversions are calculated as the number of evaluation licenses that converted into paid licenses. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
string
string
Collection of series of a vendor's calculated sale metrics
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/sales/metrics/conversion' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/conversion"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/conversion{?aggregation,startDate,endDate}",
"templated": true
}
},
"total": {
"name": "All apps",
"series": [
{
"name": "Evaluations",
"conversionType": "Upgrade",
"elements": [
{
"date": "2025-02-16",
"count": 4
},
{
"date": "2025-02-23",
"count": 4
},
{
"date": "2025-03-02",
"count": 4
},
{
"date": "2025-03-09",
"count": 4
},
{
"date": "2025-03-16",
"count": 8
}
]
},
{
"name": "Conversions",
"conversionType": "Upgrade",
"elements": [
{
"date": "2025-02-16",
"count": 2
},
{
"date": "2025-02-23",
"count": 2
},
{
"date": "2025-03-02",
"count": 2
},
{
"date": "2025-03-09",
"count": 2
},
{
"date": "2025-03-16",
"count": 4
}
]
}
]
},
"addons": [
{
"addonKey": "app-key-1",
"productId": "acd011b1-1111-45bc-902a-247046a11111",
"name": "App 1",
"series": [
{
"name": "Evaluations",
"conversionType": "Upgrade",
"elements": [
{
"date": "2025-02-16",
"count": 2
},
{
"date": "2025-02-23",
"count": 2
},
{
"date": "2025-03-02",
"count": 2
},
{
"date": "2025-03-09",
"count": 2
},
{
"date": "2025-03-16",
"count": 6
}
]
},
{
"name": "Conversions",
"conversionType": "Upgrade",
"elements": [
{
"date": "2025-02-16",
"count": 1
},
{
"date": "2025-02-23",
"count": 1
},
{
"date": "2025-03-02",
"count": 1
},
{
"date": "2025-03-09",
"count": 1
},
{
"date": "2025-03-16",
"count": 2
}
]
}
]
},
{
"productId\"": "acd011b1-1111-45bc-902a-247046a11111"
}
]
}Get a list of Cloud renewal events for the specified vendor's apps. For a given period, renewals are calculated as the number of paying customers that have an opportunity to renew and choose to continue paying. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
string
string
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/sales/metrics/renewal' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/renewal"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/renewal{?aggregation,startDate,endDate}",
"templated": true
}
},
"total": {
"name": "All apps",
"datasets": [
{
"name": "Annual",
"series": [
{
"name": "Renewal opportunities",
"elements": [
{
"date": "2025-02-23",
"count": 22
},
{
"date": "2025-03-02",
"count": 36
},
{
"date": "2025-03-09",
"count": 53
}
]
},
{
"name": "Renewals",
"elements": [
{
"date": "2025-02-23",
"count": 15
},
{
"date": "2025-03-02",
"count": 15
},
{
"date": "2025-03-09",
"count": 27
}
]
}
]
},
{
"name": "Monthly",
"series": [
{
"name": "Renewal opportunities",
"elements": [
{
"date": "2025-02-23",
"count": 86
},
{
"date": "2025-03-02",
"count": 495
},
{
"date": "2025-03-09",
"count": 528
}
]
}
]
},
{
"name": "Renewals",
"elements": [
{
"date": "2025-02-23",
"count": 84
},
{
"date": "2025-03-02",
"count": 470
},
{
"date": "2025-03-09",
"count": 505
}
]
}
]
},
"addons": [
{
"addonKey": "test-app",
"productId": "acd011b1-1111-45bc-902a-247046a11111",
"name": "Test app",
"datasets": [
{
"name": "Monthly",
"series": [
{
"name": "Renewal opportunities",
"elements": [
{
"date": "2025-02-23",
"count": 86
},
{
"date": "2025-03-02",
"count": 495
},
{
"date": "2025-03-09",
"count": 528
}
]
},
{
"name": "Renewals",
"elements": [
{
"date": "2025-02-23",
"count": 84
},
{
"date": "2025-03-02",
"count": 470
},
{
"date": "2025-03-09",
"count": 505
}
]
},
{
"name": "Annual",
"series": [
{
"name": "Renewal opportunities",
"elements": [
{
"date": "2025-02-23",
"count": 22
},
{
"date": "2025-03-02",
"count": 36
},
{
"date": "2025-03-09",
"count": 53
}
]
},
{
"name": "Renewals",
"elements": [
{
"date": "2025-02-23",
"count": 15
},
{
"date": "2025-03-02",
"count": 15
},
{
"date": "2025-03-09",
"count": 27
}
]
}
]
}
]
}
]
}
]
}Get the details about an individual Cloud license event (churn, conversion or renewal) for a specific vendor's apps. This resource requires authentication.
Note: The API response example is based on churn.
To retrieve data by specific criteria, use the following endpoints:
conversion: /rest/3/reporting/developer-space/{developerId}/sales/metrics/conversion/details
Sample reponse
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34"query": { "href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/conversion/details{?productId*,hosting*,lastUpdated,partnerType*,text,startDate,endDate,sortBy,order,offset,limit}", "templated": true }, "export": [ { "href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/conversion/details/export?accept=csv", "type": "text/csv" } ], "next": { "href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/conversion/details?offset=10" } }, "events": [ { "addonKey": "APP_KEY1", "productId": "acd011b1-1111-45bc-902a-247046a11111", "addonName": "APP 1", "hosting": "Cloud", "lastUpdated": "2025-03-27", "eventDate": "2025-03-18", "transactionId": "IN-EU-111-111-111", "licenseDetails": { "appEntitlementId": "1a1a11aa-aa11-1a11-aa1a-aa111a1111a1", "appEntitlementNumber": "E-111-AAA-AAA-11A", "cloudId": "0a0a00aa-aa00-0a00-aa0a-aa000a0000a0", "maintenanceStartDate": "2025-02-18", "maintenanceEndDate": "2025-03-18", "monthsValid": 1 } } ] }
renewal: /rest/3/reporting/developer-space/{developerId}/sales/metrics/renewal/details
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34{ "query": { "href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/renewal/details{?productId*,hosting*,lastUpdated,partnerType*,text,startDate,endDate,sortBy,order,offset,limit}", "templated": true }, "export": [ { "href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/renewal/details/export?accept=csv", "type": "text/csv" } ], "next": { "href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/renewal/details?offset=10" }, "events": [ { "addonKey": "APP_KEY1", "productId": "acd011b1-1111-45bc-902a-247046a11111", "addonName": "APP 1", "hosting": "Cloud", "lastUpdated": "2025-03-27", "eventDate": "2025-03-18", "transactionId": "IN-EU-111-111-111", "licenseDetails": { "appEntitlementId": "1a1a11aa-aa11-1a11-aa1a-aa111a1111a1", "appEntitlementNumber": "E-111-AAA-AAA-11A", "cloudId": "0a0a00aa-aa00-0a00-aa0a-aa000a0000a0", "maintenanceStartDate": "2025-02-18", "maintenanceEndDate": "2025-03-18", "monthsValid": 1 } } ] } ```
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
Requiredarray<string>
array<string>
array<string>
string
array<string>
string
string
string
string
string
Collection of a vendor's license conversions, churn, or renewal events
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/sales/metrics/{saleMetric}/details' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
{
"query": [
{
"href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/churn/details{?productId*,hosting*,lastUpdated,partnerType*,text,startDate,endDate,sortBy,order,offset,limit}",
"templated": true
}
],
"export": [
{
"href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/churn/details/export?accept=csv",
"type": "text/csv"
},
{
"href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/churn/details/export?accept=json",
"type": "application/json"
}
],
"next": [
{
"href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/churn/details?offset=10"
}
],
"events": [
{
"addonKey": "APP_KEY1",
"productId": "acd011b1-1111-45bc-902a-247046a11111",
"addonName": "APP 1",
"hosting": "Cloud",
"appEdition": "Advanced",
"lastUpdated": "2025-03-27",
"eventDate": "2025-03-18",
"transactionId": "IN-EU-111-111-111",
"licenseDetails": null,
"appEntitlementId": "1a1a11aa-aa11-1a11-aa1a-aa111a1111a1",
"appEntitlementNumber": "E-111-AAA-AAA-11A",
"cloudId": "0a0a00aa-aa00-0a00-aa0a-aa000a0000a0",
"maintenanceStartDate": "2025-02-18",
"maintenanceEndDate": "2025-03-18",
"monthsValid": 1
},
{
"addonKey": "APP_KEY2",
"productId": "acd011b1-1111-45bc-902a-247046a11111",
"addonName": "APP 2",
"hosting": "Cloud",
"appEdition": "Standard",
"lastUpdated": "2025-03-27",
"eventDate": "2025-01-24",
"transactionId": "IN-EU-222-222-222",
"licenseDetails": null,
"appEntitlementId": "2a2a22aa-aa22-2a22-aa2a-aa222a2222a2",
"appEntitlementNumber": "E-222-AAA-AAA-22A",
"cloudId": "5a5a55aa-aa55-5a55-aa5a-aa555a5555a5",
"maintenanceStartDate": "2025-01-02",
"maintenanceEndDate": "2025-01-24",
"monthsValid": 1
}
]
}Export all Cloud license events, matching the specified filters, for the specified vendor's apps. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
Requiredarray<string>
array<string>
array<string>
string
array<string>
string
string
string
string
string
This status code has no content.
1
2
3
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/sales/metrics/{saleMetric}/details/export' \
--user 'email@example.com:<api_token>'Get a list of transactions for the specified vendor's apps. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredarray<string>
string
string
string
array<integer>
array<string>
array<string>
array<string>
array<CloudComplianceBoundary>
array<string>
Collection of transactions for the vendor's apps
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/sales/transactions' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/transactions"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/transactions{?productId*,startDate,endDate,text,tier*,saleType*,partnerType*,hosting*,billingPeriod*,lastUpdated,excludeZeroTransactions,includeManualInvoice,paymentStatus*,sortBy,order,offset,limit}",
"templated": true
},
"export": [
{
"href": "/rest/3/reporting/developer-space/{developerId}/sales/transactions/export?accept=csv",
"type": "text/csv"
},
{
"href": "/rest/3/reporting/developer-space/{developerId}/sales/transactions/export?accept=json",
"type": "application/json"
}
],
"next": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/transactions?offset=10&limit=10"
}
},
"totalCount": 200,
"transactions": [
{
"transactionId": "IN-003-095-784",
"addonKey": "com.example.random.addon1",
"productId": "acd011b1-1111-45bc-902a-247046a11111",
"addonName": "RandomAddon1",
"lastUpdated": "2025-03-21",
"appEdition": "Standard",
"paymentStatus": "Open",
"customerDetails": {
"company": "Random Company 1",
"country": "USA",
"region": "NA",
"technicalContact": {
"email": "[contact1@example.com](mailto:contact1@example.com)",
"name": "Random Company 1"
},
"billingContact": {
"email": "[billing1@example.com](mailto:billing1@example.com)",
"name": "Random Billing 1"
}
},
"purchaseDetails": {
"saleDate": "2025-05-01",
"licenseType": "COMMERCIAL",
"hosting": "Cloud",
"changeInBillingPeriod": "No",
"oldBillingPeriod": "Annual",
"billingPeriod": "Annual",
"changeInTier": "Not Applicable",
"oldTier": "10 Users",
"tier": "10 Users",
"parentProductName": "Jira",
"changeInParentProductEdition": "No",
"oldParentProductEdition": "Premium",
"parentProductEdition": "Premium",
"purchasePrice": 90,
"vendorAmount": 50,
"partnerDiscountAmount": 25,
"discounts": [
{
"type": "LOYALTY_DISCOUNT",
"amount": 15
}
],
"saleType": "Renewal",
"maintenanceStartDate": "2025-03-21",
"maintenanceEndDate": "2026-03-21",
"paymentTerms": "Net30"
},
"partnerDetails": {
"partnerName": "Random Partner 1",
"partnerType": "Expert",
"billingContact": {
"email": "[partner1@example.com](mailto:partner1@example.com)",
"name": "Random Partner 1"
}
},
"appEntitlementId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"appEntitlementNumber": "E-123-456-789-ABC",
"hostEntitlementId": "123e4567-e89b-12d3-a456-426614174000",
"hostEntitlementNumber": "E-DEF-456-GHI-JKL",
"cloudId": "cf1e2d3c4-b5a6-7890-1234-567890abcdef",
"transactionLineItemId": "1a2b3c4d-5e6f-7890-1234-567890abcdef"
},
{
"transactionId": "IN-EU-002-341-987",
"addonKey": "com.example.random.addon2",
"productId": "acd011b1-1111-45bc-902a-247046a11111",
"addonName": "RandomAddon2",
"lastUpdated": "2025-03-21",
"paymentStatus": "Open",
"customerDetails": {
"company": "Random Company 2",
"country": "Germany",
"region": "EMEA",
"technicalContact": {
"email": "[contact2@example.com](mailto:contact2@example.com)",
"name": "Random Company 2"
},
"billingContact": {
"email": "[billing2@example.com](mailto:billing2@example.com)",
"name": "Random Billing 2"
}
},
"purchaseDetails": {
"saleDate": "2025-05-01",
"licenseType": "COMMUNITY",
"hosting": "Cloud",
"changeInBillingPeriod": "No",
"oldBillingPeriod": "Annual",
"billingPeriod": "Annual",
"changeInTier": "Not Applicable",
"oldTier": "Evaluation",
"tier": "10 Users",
"parentProductName": "Jira",
"changeInParentProductEdition": "No",
"oldParentProductEdition": "Premium",
"parentProductEdition": "Premium",
"purchasePrice": 100,
"vendorAmount": 54,
"partnerDiscountAmount": 30,
"discounts": [
{
"type": "MARKETPLACE_PROMOTION",
"amount": 16
}
],
"saleType": "New",
"maintenanceStartDate": "2025-02-16",
"maintenanceEndDate": "2025-07-08",
"paymentTerms": "Net30"
},
"partnerDetails": {
"partnerName": "Random Partner 2",
"partnerType": "Expert",
"billingContact": {
"email": "[partner2@example.com](mailto:partner2@example.com)",
"name": "Random Partner 2"
}
},
"appEntitlementId": "b1c2d3e4-f5g6-7890-hijk-lm1234567890",
"appEntitlementNumber": "E-789-456-XYZ-123",
"hostEntitlementId": "234e5678-f90g-12h3-i456-426614174111",
"hostEntitlementNumber": "E-JKL-789-MNO-PQR",
"cloudId": "d2e3f4g5-h6i7-8901-2345-67890123abcd",
"transactionLineItemId": "2b3c4d5e-6f7g-8901-2345-67890123abcd",
"cloudComplianceBoundaries": [
"fedramp_moderate"
]
}
]
}Export all transactions, matching the specified filters, for the specified vendor's apps. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredarray<string>
string
string
string
array<integer>
array<string>
array<string>
array<string>
array<CloudComplianceBoundary>
array<string>
Content downloaded will be the CSV/JSON file
1
2
3
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/sales/transactions/export' \
--user 'email@example.com:<api_token>'Initiate a POST request to export all transactions that match the specified filters for the vendor's apps. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredarray<string>
string
string
string
array<integer>
array<string>
array<string>
array<string>
array<CloudComplianceBoundary>
array<string>
Initiate licenses export request for the vendor's apps
1
2
3
4
curl --request POST \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/sales/transactions/async/export' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/transactions/async/export"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/transactions/async/export?productId=acd011b1-1111-45bc-902a-247046a11111"
},
"status": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/transactions/async/export/638035ff-ef0f-412b-addd-8bf144bcdfa1/status"
},
"download": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/transactions/async/export/638035ff-ef0f-412b-addd-8bf144bcdfa1"
}
},
"export": {
"id": "638035ff-ef0f-412b-addd-8bf144bcdfa1"
}
}Get status for async export transaction request
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
RequiredGet Status for transactions export request for the vendor's apps
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/sales/transactions/async/export/{exportId}/status' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
{
"_links": {
"self": {
"href": "<string>",
"type": "<string>",
"title": "<string>"
},
"query": {
"href": "<string>",
"type": "<string>",
"title": "<string>"
},
"download": {
"href": "<string>",
"type": "<string>",
"title": "<string>"
}
},
"export": {
"id": "<string>",
"status": "QUEUED"
}
}Download async export transactions
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
RequiredContent downloaded will be the CSV/JSON file
1
2
3
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/sales/transactions/async/export/{exportId}' \
--user 'email@example.com:<api_token>'Get aggregated sales for the specified vendor, aggregated by the specified metric. Sales can be aggregated by hosting, region, and more. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
Requiredstring
string
string
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/sales/transactions/{metric}' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/transactions/hosting"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/transactions/hosting{?aggregation,startDate,endDate}",
"templated": true
}
},
"total": {
"name": "All apps",
"series": [
{
"name": "Cloud",
"evaluationType": "Net new evaluation",
"elements": [
{
"date": "2025-03-09",
"count": 1364,
"netCount": 1350,
"revenue": 300489.79
},
{
"date": "2025-03-16",
"count": 579,
"netCount": 577,
"revenue": 69593.66
}
]
},
{
"name": "Data Center",
"evaluationType": "Net new evaluation",
"elements": [
{
"date": "2025-03-09",
"count": 35,
"netCount": 35,
"revenue": 224094.09
},
{
"date": "2025-03-16",
"count": 7,
"netCount": 7,
"revenue": 37760.06
}
]
}
]
},
"addons": [
{
"addonKey": "test-app",
"productId": "acd011b1-1111-45bc-902a-247046a11111",
"name": "Test app",
"series": [
{
"name": "Cloud",
"evaluationType": "Net new evaluation",
"elements": [
{
"date": "2025-03-09",
"count": 1364,
"netCount": 1350,
"revenue": 300489.79
},
{
"date": "2025-03-16",
"count": 579,
"netCount": 577,
"revenue": 69593.66
}
]
},
{
"name": "Data Center",
"evaluationType": "Net new evaluation",
"elements": [
{
"date": "2025-03-09",
"count": 34,
"netCount": 34,
"revenue": 224094.09
},
{
"date": "2025-03-16",
"count": 7,
"netCount": 7,
"revenue": 37760.06
}
]
}
]
}
]
}Export entitlements under free starter tier plan, matching the specified filters, for the specified vendor's apps. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredarray<string>
boolean
string
string
This status code has no content.
1
2
3
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/sales/freeStarterTier/export' \
--user 'email@example.com:<api_token>'Get cloud churn benchmark for the specified vendor's apps. This feature enables to have a deeper understanding of cloud churn numbers and allows to compare app performance to all other cloud apps on Marketplace. The churn benchmark data will be updated on a monthly basis. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
string
string
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/sales/metrics/churn/benchmark' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/churn/benchmark"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/sales/metrics/churn/benchmark{?productId*,startDate,endDate}",
"templated": true
}
},
"churnBenchmarkPerApp": [
{
"appName": "Test app",
"appKey": "com.riadalabs.jira.plugins.notificationassistant",
"productId": "test-app",
"churnBenchmarkPerMonth": [
{
"year": "2025",
"month": "01",
"churnedLicenses": 250,
"totalLicenses": 5000,
"churnRate": 5.125,
"isolatedChurnRate": 2.511,
"churnRateBenchmark": 1.3,
"isolatedChurnRateBenchmark": 0.97
}
]
}
]
}To fetch count of evaluations and benchmark. This resource returns monthly and year-to-date count of evaluations, and their Month over Month and Year over Year growth respectively. It also returns benchmarks for the growth figures by comparing them against overall Marketplace growth. The evaluation benchmark data will be updated on a monthly basis. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredarray<string>
string
string
Collection of cloud evaluation benchmark for the partner's apps
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/benchmark/evaluations' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/benchmark/evaluations"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/benchmark/evaluations{?productId*,startDate,endDate}",
"templated": true
}
},
"totals": {
"name": "All apps",
"CloudEvaluationBenchmarkPerVendorPerMonth": [
{
"date": "2025-02-01",
"evaluationCount": 1418,
"previousMonthEvaluationCount": 1422,
"evaluationMoMGrowth": -0.28,
"evaluationPercentile": 99,
"evaluationMoMGrowthBenchmarkAllPartners": 4.1,
"evaluationCountYTD": 2840,
"evaluationCountYTDLastYear": 2789,
"evaluationYTDYoYGrowth": 1.83,
"evaluationYTDPercentile": 99,
"evaluationYTDYoYGrowthBenchmarkAllPartners": 16.04
},
{
"date": "2025-01-01",
"evaluationCount": 1422,
"previousMonthEvaluationCount": 1140,
"evaluationMoMGrowth": 24.74,
"evaluationPercentile": 99,
"evaluationMoMGrowthBenchmarkAllPartners": -8.19,
"evaluationCountYTD": 1422,
"evaluationCountYTDLastYear": 1424,
"evaluationYTDYoYGrowth": -0.14,
"evaluationYTDPercentile": 99,
"evaluationYTDYoYGrowthBenchmarkAllPartners": 12.19
}
]
},
"CloudEvaluationBenchmarkPerApp": [
{
"addonKey": "app-key-2",
"productId": "acd011b1-1111-45bc-902a-247046a11112",
"name": "App 2",
"CloudEvaluationBenchmarkPerAppPerMonth": [
{
"date": "2025-02-01",
"evaluationCount": 1150,
"previousMonthEvaluationCount": 1387,
"evaluationMoMGrowth": 1.94,
"evaluationPercentile": 100,
"evaluationMoMGrowthBenchmarkAllAppsOnBaseProduct": 5.73,
"evaluationCountYTD": 2280,
"evaluationCountYTDLastYear": 2180,
"evaluationYTDYoYGrowth": 4.15,
"evaluationYTDPercentile": 100,
"evaluationYTDYoYGrowthBenchmarkAllAppsOnBaseProduct": 15.69
},
{
"date": "2025-01-01",
"evaluationCount": 1100,
"previousMonthEvaluationCount": 920,
"evaluationMoMGrowth": 26.91,
"evaluationPercentile": 100,
"evaluationMoMGrowthBenchmarkAllAppsOnBaseProduct": -4.73,
"evaluationCountYTD": 1100,
"evaluationCountYTDLastYear": 1100,
"evaluationYTDYoYGrowth": 1.43,
"evaluationYTDPercentile": 100,
"evaluationYTDYoYGrowthBenchmarkAllAppsOnBaseProduct": 10.79
}
]
},
{
"addonKey": "app-key-1",
"productId": "acd011b1-1111-45bc-902a-247046a11111",
"name": "App 1",
"CloudEvaluationBenchmarkPerAppPerMonth": [
{
"date": "2025-02-01",
"evaluationCount": 268,
"previousMonthEvaluationCount": 35,
"evaluationMoMGrowth": -22.86,
"evaluationPercentile": 83,
"evaluationMoMGrowthBenchmarkAllAppsOnBaseProduct": -19.07,
"evaluationCountYTD": 560,
"evaluationCountYTDLastYear": 609,
"evaluationYTDYoYGrowth": -26.19,
"evaluationYTDPercentile": 84,
"evaluationYTDYoYGrowthBenchmarkAllAppsOnBaseProduct": -14.65
},
{
"date": "2025-01-01",
"evaluationCount": 322,
"previousMonthEvaluationCount": 220,
"evaluationMoMGrowth": -2.78,
"evaluationPercentile": 85,
"evaluationMoMGrowthBenchmarkAllAppsOnBaseProduct": -34.42,
"evaluationCountYTD": 322,
"evaluationCountYTDLastYear": 324,
"evaluationYTDYoYGrowth": 0,
"evaluationYTDPercentile": 85,
"evaluationYTDYoYGrowthBenchmarkAllAppsOnBaseProduct": 9.36
}
]
}
]
}To fetch cloud sales and benchmark for the specified partner and partner's apps. It includes only partner share of sales and does not include Atlassian share. This resource returns monthly and year-to-date sales value from marketplace transactions, and their Month over Month and Year over Year growth respectively. It also returns benchmarks for the growth figures by comparing them against overall Marketplace growth and base product growth. The sales benchmark data will be updated on a quarterly basis, specifically in February, May, August, and November. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredarray<string>
string
string
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/benchmark/sales' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/benchmark/sales"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/benchmark/sales{?productId*,startDate,endDate}",
"templated": true
}
},
"total": {
"name": "All apps",
"salesBenchmarkPerMonth": [
{
"date": "2025-01-01",
"sale": 1500.83,
"previousMonthSale": 1650.7,
"salesMoMGrowth": -7.71,
"salesPercentile": 99,
"salesMoMGrowthBenchmarkAllPartners": -17.14,
"salesYTD": 15985010.07,
"salesYTDLastYear": 1647.26,
"salesYTDYoYGrowth": -2.98,
"salesYTDPercentile": 99,
"salesYTDYoYGrowthBenchmarkAllPartners": -30.77
}
]
},
"addons": [
{
"addonKey": "test-app",
"productId": "acd011b1-1111-45bc-902a-247046a11111",
"name": "Test app",
"salesBenchmarkPerMonth": [
{
"date": "2025-01-01",
"sale": 1500.83,
"previousMonthSale": 1650.7,
"salesMoMGrowth": -7.71,
"salesPercentile": 99,
"salesMoMGrowthBenchmarkAllPartners": -17.14,
"salesYTD": 15985010.07,
"salesYTDLastYear": 1647.26,
"salesYTDYoYGrowth": -2.98,
"salesYTDPercentile": 99,
"salesYTDYoYGrowthBenchmarkAllPartners": -30.77
}
]
}
]
}To fetch count of customers split by region and percentage distribution of customers across regions (APAC, EMEA, Americas, Unknown). It also returns a benchmark of the percentage distribution by comparing it against overall Marketplace distribution. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
string
Region wise user distribution insights events for partner.
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/customer-insights/regions' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/customer-insights/regions"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/customer-insights/regions{?startDate,endDate}",
"templated": true
}
},
"regionWiseUserInsightsPerMonth": [
{
"date": "2025-02-01",
"insightsType": [
{
"value": {
"group": {
"region": "apac",
"activeUsers": null,
"edition": null,
"product": null,
"tier": null
},
"usersDistribution": {
"usersCount": 1975,
"usersPercent": 9.728105605359078,
"usersMarketplaceBenchmark": 0.9982236889422504
}
}
},
{
"value": {
"group": {
"region": "emea",
"activeUsers": null,
"edition": null,
"product": null,
"tier": null
},
"usersDistribution": {
"usersCount": 7387,
"usersPercent": 36.385577775588615,
"usersMarketplaceBenchmark": 1.3512888853052618
}
}
},
{
"value": {
"group": {
"region": "americas",
"activeUsers": null,
"edition": null,
"product": null,
"tier": null
},
"usersDistribution": {
"usersCount": 6050,
"usersPercent": 29.800019702492364,
"usersMarketplaceBenchmark": 1.437257640443387
}
}
},
{
"value": {
"group": {
"region": "unknown",
"activeUsers": null,
"edition": null,
"product": null,
"tier": null
},
"usersDistribution": {
"usersCount": 4890,
"usersPercent": 24.086296916559945,
"usersMarketplaceBenchmark": 0.5654847861706801
}
}
}
]
}
]
}To fetch count of customers split by parent product edition and percentage distribution of customers across parent product editions. It also returns a benchmark of the percentage distribution by comparing it against overall Marketplace distribution. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
string
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/customer-insights/editions' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/customer-insights/editions"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/customer-insights/editions{?startDate,endDate}",
"templated": true
}
},
"usersEditionDistribution": [
{
"date": "2025-01-01",
"insightsType": [
{
"value": {
"group": {
"edition": "premium",
"activeUsers": null,
"product": null,
"region": null,
"tier": null
},
"usersDistribution": {
"usersCount": 2500,
"usersPercent": 20.1125784087158,
"usersMarketplaceBenchmark": 1.55735779023356
}
}
},
{
"value": {
"group": {
"edition": "enterprise",
"activeUsers": null,
"product": null,
"region": null,
"tier": null
},
"usersDistribution": {
"usersCount": 450,
"usersPercent": 3.50775833608452,
"usersMarketplaceBenchmark": 2.54110265499456
}
}
},
{
"value": {
"group": {
"edition": "standard",
"activeUsers": null,
"product": null,
"region": null,
"tier": null
},
"usersDistribution": {
"usersCount": 3500,
"usersPercent": 30.0008616705183,
"usersMarketplaceBenchmark": 1.10353547720624
}
}
},
{
"value": {
"group": {
"edition": "free",
"activeUsers": null,
"product": null,
"region": null,
"tier": null
},
"usersDistribution": {
"usersCount": 5500,
"usersPercent": 45.2624628590294,
"usersMarketplaceBenchmark": 0.887782385374962
}
}
}
]
}
]
}To fetch count of customers using a paid instance of Jira or Confluence and the count as a percentage of total customers. It also returns a benchmark of the percentage value by comparing it against overall Marketplace average. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
string
Active paid and non-paid users of the partner benchmarked against all Marketplace partners
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/customer-insights/active-users' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/customer-insights/active-users"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/customer-insights/active-users{?startDate,endDate}",
"templated": true
}
},
"activePaidUsersInsights": [
{
"date": "2025-02-01",
"insightsType": [
{
"value": {
"group": {
"activeUsers": "paid",
"edition": null,
"product": null,
"region": null,
"tier": null
},
"usersDistribution": {
"usersCount": 10594,
"usersPercent": 52.182051029455224,
"usersMarketplaceBenchmark": 1.811143149730558
}
}
},
{
"value": {
"group": {
"activeUsers": "non-paid",
"edition": null,
"product": null,
"region": null,
"tier": null
},
"usersDistribution": {
"usersCount": 9708,
"usersPercent": 47.817948970544776,
"usersMarketplaceBenchmark": 0.6717104630230619
}
}
}
]
}
]
}To fetch count of customers split by user tier and percentage distribution of customers across user tiers. User tier indicates the count of users on Jira or Confluence instance (1 to 10, 11 to 100, 101 to 1000, etc.). It also returns a benchmark of the percentage distribution by comparing it against overall Marketplace distribution. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
string
string
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/customer-insights/tiers' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/customer-insights/tiers"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/customer-insights/tiers{?startDate,endDate,product}",
"templated": true
}
},
"usersDistributionPerProduct": [
{
"date": "2025-01-01",
"insightsType": [
{
"value": {
"group": {
"product": "Confluence",
"tier": "Evaluation",
"activeUsers": null,
"edition": null,
"region": null
},
"usersDistribution": {
"usersCount": 150,
"usersPercent": 1.29196770080748,
"usersMarketplaceBenchmark": 1.44475777372384
}
}
},
{
"value": {
"group": {
"product": "Jira",
"tier": "Evaluation",
"activeUsers": null,
"edition": null,
"region": null
},
"usersDistribution": {
"usersCount": 10,
"usersPercent": 1.01892285298399,
"usersMarketplaceBenchmark": 1.58934089225976
}
}
},
{
"value": {
"group": {
"product": "Confluence",
"tier": "1-10",
"activeUsers": null,
"edition": null,
"region": null
},
"usersDistribution": {
"usersCount": 7850,
"usersPercent": 66.6978325541862,
"usersMarketplaceBenchmark": 1.17306167870061
}
}
},
{
"value": {
"group": {
"product": "Jira",
"tier": "1-10",
"activeUsers": null,
"edition": null,
"region": null
},
"usersDistribution": {
"usersCount": 500,
"usersPercent": 73.0713245997089,
"usersMarketplaceBenchmark": 1.02041939558988
}
}
},
{
"value": {
"group": {
"product": "Confluence",
"tier": "11-100",
"activeUsers": null,
"edition": null,
"region": null
},
"usersDistribution": {
"usersCount": 2300,
"usersPercent": 19.2860178495538,
"usersMarketplaceBenchmark": 0.649641218726823
}
}
},
{
"value": {
"group": {
"product": "Jira",
"tier": "11-100",
"activeUsers": null,
"edition": null,
"region": null
},
"usersDistribution": {
"usersCount": 120,
"usersPercent": 16.448326055313,
"usersMarketplaceBenchmark": 0.757647392748679
}
}
},
{
"value": {
"group": {
"product": "Confluence",
"tier": "101-1000",
"activeUsers": null,
"edition": null,
"region": null
},
"usersDistribution": {
"usersCount": 1120,
"usersPercent": 9.49426264343391,
"usersMarketplaceBenchmark": 0.860052768213001
}
}
},
{
"value": {
"group": {
"product": "Jira",
"tier": "101-1000",
"activeUsers": null,
"edition": null,
"region": null
},
"usersDistribution": {
"usersCount": 30,
"usersPercent": 4.80349344978166,
"usersMarketplaceBenchmark": 0.894425377557442
}
}
},
{
"value": {
"group": {
"product": "Confluence",
"tier": "1000+",
"activeUsers": null,
"edition": null,
"region": null
},
"usersDistribution": {
"usersCount": 400,
"usersPercent": 3.2299192520187,
"usersMarketplaceBenchmark": 2.12285043829035
}
}
},
{
"value": {
"group": {
"product": "Jira",
"tier": "1000+",
"activeUsers": null,
"edition": null,
"region": null
},
"usersDistribution": {
"usersCount": 30,
"usersPercent": 4.65793304221252,
"usersMarketplaceBenchmark": 6.95655141487005
}
}
}
]
}
]
}Get the list of top 500 searched keywords on the basis of source type. This resource requires authentication.
Note: The API response example is based on source as marketplace
To retrieve data by source as embedded-marketplace, use the following endpoint:
/rest/3/reporting/developer-space/{developerId}/search-keywords/source/embedded-marketplace
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
Requiredstring
string
Collection of top searched keywords on the basis of source type.
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/search-keywords/source/{sourceKey}' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/search-keywords/source/marketplace"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/search-keywords/source/marketplace{?startDate,endDate}",
"templated": true
},
"export": [
{
"href": "/rest/3/reporting/developer-space/{developerId}/search-keywords/source/marketplace/export?accept=csv",
"type": "text/csv"
},
{
"href": "/rest/3/reporting/developer-space/{developerId}/search-keywords/source/marketplace/export?accept=json",
"type": "application/json"
}
]
},
"details": [
{
"searchKeyword": "structure",
"percentage": 2.69
},
{
"searchKeyword": "scriptrunner",
"percentage": 2.61
},
{
"searchKeyword": "jira",
"percentage": 2.6
},
{
"searchKeyword": "automation",
"percentage": 2.49
},
{
"searchKeyword": "portfolio",
"percentage": 2.33
}
]
}Export the list of top 500 searched keywords on the basis of source type. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
Requiredstring
string
string
This status code has no content.
1
2
3
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/search-keywords/source/{sourceKey}/export' \
--user 'email@example.com:<api_token>'Get zero search results keywords on the basis of source type. This feature will help to have deeper understanding of searched keywords that have zero search results and thereby discover the opportunity to build apps. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
Requiredstring
string
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/zero-search-results-keywords/source/{sourceKey}' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/zero-search-results-keywords/source/marketplace"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/zero-search-results-keywords/source/marketplace{?startDate,endDate}",
"templated": true
},
"export": [
{
"href": "/rest/3/reporting/developer-space/{developerId}/zero-search-results-keywords/source/marketplace/export?accept=csv",
"type": "text/csv"
},
{
"href": "/rest/3/reporting/developer-space/{developerId}/zero-search-results-keywords/source/marketplace/export?accept=json",
"type": "application/json"
}
]
},
"details": [
{
"searchKeyword": "test",
"productFilter": "jira",
"hostingFilter": "cloud",
"categoryFilter": "Utilities",
"otherFilter": "Beta",
"count": 1
},
{
"searchKeyword": "test1",
"productFilter": "confluence",
"hostingFilter": "dataCenter",
"categoryFilter": "Time tracking",
"otherFilter": "Cloud fortified apps",
"count": 1
}
]
}Export zero search results keywords on the basis of source type. This feature will help to have deeper understanding of searched keywords that have zero search results and thereby discover the opportunity to build apps. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
Requiredstring
string
string
This status code has no content.
1
2
3
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/zero-search-results-keywords/source/{sourceKey}/export' \
--user 'email@example.com:<api_token>'Get aggregated searched keywords detail which includes top search keyword and total search appearances for all the apps from the specified partner. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
string
string
Collection of aggregated searched keywords for all the apps from that specific partner.
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/search-keywords' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/search-keywords"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/search-keywords{?aggregation,startDate,endDate}",
"templated": true
},
"export": [
{
"href": "/rest/3/reporting/developer-space/{developerId}/search-keywords/export?accept=csv",
"type": "text/csv"
},
{
"href": "/rest/3/reporting/developer-space/{developerId}/search-keywords/export?accept=json",
"type": "application/json"
}
]
},
"total": {
"searchAppearances": 402,
"topSearchKeyword": "projectmanagement"
},
"addons": [
{
"addonName": "Test ProjectManagement App 1",
"addonKey": "test-project-projectmanagement-app-1",
"productId": "acd011b1-1111-45bc-902a-247046a11111",
"leadingSearchKeyword": "projectmanagement",
"searchAppearances": 402,
"elements": [
{
"date": "2025-03-02",
"count": 200
},
{
"date": "2025-03-09",
"count": 201
},
{
"date": "2025-03-16",
"count": 100
},
{
"date": "2025-03-23",
"count": 101
}
]
},
{
"addonName": "Test PageEditor app1",
"addonKey": "test-page-editor-app-1",
"productId": "acd011b1-1111-45bc-902a-247046a11111",
"leadingSearchKeyword": "pageeditor",
"searchAppearances": 202,
"elements": [
{
"date": "2025-03-02",
"count": 50
},
{
"date": "2025-03-09",
"count": 51
},
{
"date": "2025-03-16",
"count": 50
},
{
"date": "2025-03-23",
"count": 51
}
]
}
]
}Export aggregated searched keywords detail which includes top search keyword and total search appearances for all the apps from the specified partner. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
string
string
string
This status code has no content.
1
2
3
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/search-keywords/export' \
--user 'email@example.com:<api_token>'Fetch the details of searched keywords for which the particular app showed up. It also populates the leading searched keywords based on the number of counts that resulted in showing the app. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
Requiredstring
string
string
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/products/{productId}/search-keywords' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/products/{productId}/search-keywords"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/products/{productId}/search-keywords{?startDate,endDate,aggregation}",
"templated": true
},
"export": [
{
"href": "/rest/3/reporting/developer-space/{developerId}/products/{productId}/search-keywords/export?accept=csv",
"type": "text/csv"
},
{
"href": "/rest/3/reporting/developer-space/{developerId}/products/{productId}/search-keywords/export?accept=json",
"type": "application/json"
}
]
},
"summary": {
"addonName": "Test app",
"addonKey": "test-app",
"productId": "acd011b1-1111-45bc-902a-247046a11111",
"leadingSearchKeyword": "test",
"allSearchAppearances": 54
},
"details": [
{
"searchKeyword": "test",
"keywordCount": 50,
"elements": [
{
"date": "2025-01-01",
"count": 50
}
]
},
{
"searchKeyword": "app",
"keywordCount": 4,
"elements": [
{
"date": "2025-01-01",
"count": 4
}
]
}
]
}Export the list of searched keywords for which the particular app showed up. It also populates the leading searched keywords based on the number of counts that resulted in showing the app. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredstring
Requiredstring
string
string
string
This status code has no content.
1
2
3
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/products/{productId}/search-keywords/export' \
--user 'email@example.com:<api_token>'To fetch count of app install requests sent by end-users to admins, count of approvals and approval rate. This resource requires authentication.
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredarray<string>
string
string
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/developer-space/{developerId}/app-requests-and-approvals' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
{
"_links": {
"self": {
"href": "/rest/3/reporting/developer-space/{developerId}/app-requests-and-approvals"
},
"query": {
"href": "/rest/3/reporting/developer-space/{developerId}/app-requests-and-approvals{?productId*,startDate,endDate}",
"templated": true
}
},
"total": {
"name": "All apps",
"appRequestsAndApprovalsPerMonth": [
{
"date": "2025-02-01",
"appRequests": 21,
"appRequestsApproved": 7,
"appRequestsApprovalRate": 33.33333333333333
},
{
"date": "2025-01-01",
"appRequests": 12,
"appRequestsApproved": 3,
"appRequestsApprovalRate": 25
}
]
},
"addons": [
{
"addonKey": "app-key-1",
"productId": "acd011b1-1111-45bc-902a-247046a11111",
"name": "App 1",
"appRequestsAndApprovalsPerAppPerMonth": [
{
"date": "2025-02-01",
"appRequests": 21,
"appRequestsApproved": 7,
"appRequestsApprovalRate": 33.33333333333333
},
{
"date": "2025-01-01",
"appRequests": 12,
"appRequestsApproved": 3,
"appRequestsApprovalRate": 25
}
]
}
]
}Returns a presigned URL to download the latest product catalog snapshot as a CSV file. The CSV file contains details of the versions of the public apps/agents (commonly termed as products) listed on Atlassian Marketplace.
This resource requires authentication.
CSV Fields:
| Field | Description |
|---|---|
is_beta | True if this is a beta version |
summary | Summary of the product |
tag_line | Tagline of the product |
is_connect | True if the version uses Atlassian Connect |
product_id | Unique identifier of the product |
released_at | The date on which the version was released |
vendor_name | Name of the vendor |
is_supported | True if the version is officially supported |
review_score | Review score of the product |
average_stars | Average star rating of the product |
download_count | Number of downloads |
version_number | The display name of the version, for example "1.0.0" |
version_status | Indicates whether the version is manually approved or auto approved. uninitiated → auto approved approved → manually approved by Atlassian Support |
publicly_visible | This is always True, but kept for extensibility purposes for future |
number_of_reviews | Number of reviews |
category_name_list | Name of a categories associated with the product |
marketplace_app_key | The unique human readable identifier for this app/agent, for example mycompany.myapp |
app_software_hosting | Specifies the hosting type of this version’s app software, for example CLOUD, DATA_CENTER, SERVER |
marketplace_app_name | The display name of the product, for example "My app" |
parent_software_list | The list of parent softwares this specific version is compatible with |
supported_payment_model | The payment model for this specific version |
is_auto_update_strategy_available | True if automatic updates are allowed for the version |
Forge and OAuth2 apps cannot access this REST resource.
This request has no parameters.
Presigned URL successfully generated and returned
Response containing a presigned URL to download the product catalog snapshot CSV file
1
2
3
4
curl --request GET \
--url 'https://api.atlassian.com/marketplace/rest/3/reporting/product-catalog/latest' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json'1
2
3
4
5
{
"date": "2025-11-06",
"presignedUrl": "https://s3.amazonaws.com/s3-bucket/wide_public_apps_overview-2025-11-06-10:30:00.csv?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=EXAMPLE...",
"expiresInSeconds": 300
}This resource fetches the time series data for the metric of choice.
It requires authentication.
The sample response shown on the right depicts active installs count by application + week.
Following are the examples of requests and responses for obtaining installation counts by application version and week:
Note: Installation counts only within the commercial compliance boundary are included in this API.
Get installs to count by application version + week
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29Request POST /rest/3/partner-metrics/developer-space/{developerId} { "granularity": "WEEK", "attributes": [{ "name": "PARENT_SOFTWARE" }, { "name": "PARENT_SOFTWARE_VERSION" }], "metrics": { "metricFields": [{ "name": "INSTALL_COUNT" }] }, "attributesFilter": { "expr": { "andGroup": [ { "filter": { "fieldName": "PRODUCT_ID", "oneFilter": { "stringFilter": { "value": "acd011b1-1111-45bc-902a-247046a11111" } } } } ] } } } Response { "records": [ { "date": "2024-10-21", "appKey": "com.k15t.scroll.doc.variants", "productId": "acd011b1-1111-45bc-902a-247046a11112", "installCounts": 2, "parentSoftware": "Confluence", "parentSoftwareVersion": "7.13.2" }, { "date": "2024-10-21", "appKey": "com.k15t.scroll.doc.variants", "productId": "acd011b1-1111-45bc-902a-247046a11113", "installCounts": 2, "parentSoftware": "Confluence", "parentSoftwareVersion": "7.19.17" }, { "date": "2024-10-21", "appKey": "com.k15t.scroll.doc.variants", "productId": "acd011b1-1111-45bc-902a-247046a11114", "installCounts": 1, "parentSoftware": "Confluence", "parentSoftwareVersion": "7.19.18" }, { "date": "2024-10-21", "appKey": "com.k15t.scroll.doc.variants", "productId": "acd011b1-1111-45bc-902a-247046a11115", "installCounts": 2, "parentSoftware": "Confluence", "parentSoftwareVersion": "7.19.20" } ] }
Get active install counts by major application version + week
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30Request POST /rest/3/partner-metrics/developer-space/{developerId} { "granularity": "WEEK", "attributes": [ { "name": "PARENT_SOFTWARE" }, { "name": "PARENT_SOFTWARE_MAJOR_VERSION" } ], "metrics": { "metricFields": [{ "name": "INSTALL_COUNT" }] }, "attributesFilter": { "expr": { "andGroup": [ { "filter": { "fieldName": "PRODUCT_ID", "oneFilter": { "stringFilter": { "value": "acd011b1-1111-45bc-902a-247046a11111" } } } } ] } } } Response { "records": [ { "date": "2024-10-21", "appKey": "com.k15t.scroll.doc.variants", "productId": "acd011b1-1111-45bc-902a-247046a11112", "installCounts": 8, "parentSoftware": "Confluence", "parentSoftwareMajorVersions": "7.x.x" }, { "date": "2024-10-21", "appKey": "com.k15t.scroll.doc.variants", "productId": "acd011b1-1111-45bc-902a-247046a11113", "installCounts": 18, "parentSoftware": "Confluence", "parentSoftwareMajorVersions": "8.x.x" }, { "date": "2024-10-21", "appKey": "com.k15t.scroll.doc.variants", "productId": "acd011b1-1111-45bc-902a-247046a11114", "installCounts": 1, "parentSoftware": "Confluence", "parentSoftwareMajorVersions": "9.x.x" }, { "date": "2024-10-28", "appKey": "com.k15t.scroll.doc.variants", "productId": "acd011b1-1111-45bc-902a-247046a11115", "installCounts": 8, "parentSoftware": "Confluence", "parentSoftwareMajorVersions": "7.x.x" } ] }
Get active install counts by minor application version + week
Note: For older data please use dateRange, limit and offset parameters accordingly.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31Request POST /rest/3/partner-metrics/developer-space/{developerId} { "granularity": "WEEK", "attributes": [ { "name": "PARENT_SOFTWARE" }, { "name": "PARENT_SOFTWARE_MINOR_VERSION" } ], "metrics": { "metricFields": [{ "name": "INSTALL_COUNT" }] }, "attributesFilter": { "expr": { "andGroup": [ { "filter": { "fieldName": "PRODUCT_ID", "oneFilter": { "stringFilter": { "value": "acd011b1-1111-45bc-902a-247046a11111" } } } } ] } } } Response { "records": [ { "date": "2024-10-21", "appKey": "com.k15t.scroll.doc.variants", "productId": "acd011b1-1111-45bc-902a-247046a11112", "installCounts": 2, "parentSoftware": "Confluence", "parentSoftwareMinorVersions": "7.13.x" }, { "date": "2024-10-21", "appKey": "com.k15t.scroll.doc.variants", "productId": "acd011b1-1111-45bc-902a-247046a11113", "installCounts": 6, "parentSoftware": "Confluence", "parentSoftwareMinorVersions": "7.19.x" }, { "date": "2024-10-21", "appKey": "com.k15t.scroll.doc.variants", "productId": "acd011b1-1111-45bc-902a-247046a11114", "installCounts": 13, "parentSoftware": "Confluence", "parentSoftwareMinorVersions": "8.5.x" }, { "date": "2024-10-21", "appKey": "com.k15t.scroll.doc.variants", "productId": "acd011b1-1111-45bc-902a-247046a11115", "installCounts": 2, "parentSoftware": "Confluence", "parentSoftwareMinorVersions": "8.7.x" } ] }
GMV metric field behavior
metrics.metricFields accepts the GMV field names (case-insensitive) LIFETIME_GMV, NON_HARMONISED_FORGE_VERSIONS_LIFETIME_GMV, and STANDARD_FORGE_VERSIONS_LIFETIME_GMV.metricSets: [{ "name": "GMV" }] is provided, the service now returns all three GMV breakouts for backward compatibility.LIFETIME_GMV uses the attributesFilter to pick exactly one APP_VERSION_TYPE value (RUNS_ON_ATLASSIAN, NATIVE_APP, or NON_HARMONISED). Default is NON_HARMONISED; If the filter contains multiple/invalid values, the API returns 400 with "message": "Exactly single APP_VERSION_TYPE must be present in filter expression from (RUNS_ON_ATLASSIAN, NATIVE_APP or NON_HARMONISED)"GMV request/response samples
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19Request POST /rest/3/partner-metrics/developer-space/{developerId} { "granularity": "MONTH", "metrics": { "metricSets": [{ "name": "GMV" }] } } Response { "records": [ { "date": "2024-10-01", "lifetimeGmv": 70000.0, "lifetimeGmvAppVersionType": "NON_HARMONISED_FORGE_VERSIONS", "nonHarmonisedForgeVersionsGmv": 70000.0, "standardForgeAppVersionsGmv": 80000.0 } ] }
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30Request POST /rest/3/partner-metrics/developer-space/{developerId} { "granularity": "MONTH", "attributes": [{ "name": "APP_VERSION_TYPE" }], "metrics": { "metricFields": [{ "name": "LIFETIME_GMV" }] }, "attributesFilter": { "expr": { "andGroup": [ { "filter": { "fieldName": "APP_VERSION_TYPE", "oneFilter": { "stringFilter": { "value": "RUNS_ON_ATLASSIAN" } } } } ] } } } Response { "records": [ { "date": "2024-10-01", "lifetimeGmv": 52000.0, "lifetimeGmvAppVersionType": "RUNS_ON_ATLASSIAN" } ] }
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22Request POST /rest/3/partner-metrics/developer-space/{developerId} { "granularity": "MONTH", "metrics": { "metricFields": [ { "name": "NON_HARMONISED_FORGE_VERSIONS_LIFETIME_GMV" }, { "name": "STANDARD_FORGE_VERSIONS_LIFETIME_GMV" } ] } } Response { "records": [ { "date": "2024-10-01", "nonHarmonisedForgeVersionsGmv": 80000.0, "standardForgeAppVersionsGmv": 90000.0 } ] }
Forge and OAuth2 apps cannot access this REST resource.
string
Requiredinteger
integer
array<object>
ReportingMetricTimeSeriesRequestMetrics
ReportingMetricTimeSeriesRequestDateRange
array<object>
string
object
The service returns a successful response with the required metrics. There are no validation errors or authentication/authorization errors.
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
curl --request POST \
--url 'https://api.atlassian.com/marketplace/rest/3/partner-metrics/developer-space/{developerId}' \
--user 'email@example.com:<api_token>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"granularity": "WEEK",
"metrics": {
"metricFields": [
{
"name": "INSTALL_COUNT"
}
]
},
"attributesFilter": {
"expr": {
"andGroup": [
{
"filter": {
"fieldName": "PRODUCT_ID",
"oneFilter": {
"stringFilter": {
"value": "acd011b1-1111-45bc-902a-247046a11111"
}
}
}
}
]
}
}
}'1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
{
"records": [
{
"date": "2024-10-21",
"appKey": "com.riadalabs.jira.plugins.notificationassistant",
"productId": "acd011b1-1111-45bc-902a-247046a11111",
"installCounts": 1429
},
{
"date": "2024-10-28",
"appKey": "com.riadalabs.jira.plugins.notificationassistant",
"productId": "acd011b1-1111-45bc-902a-247046a11112",
"installCounts": 1427
},
{
"date": "2024-11-04",
"appKey": "com.riadalabs.jira.plugins.notificationassistant",
"productId": "acd011b1-1111-45bc-902a-247046a11113",
"installCounts": 1426
},
{
"date": "2024-11-11",
"appKey": "com.riadalabs.jira.plugins.notificationassistant",
"installCounts": 1428
},
{
"date": "2024-11-18",
"appKey": "com.riadalabs.jira.plugins.notificationassistant",
"productId": "acd011b1-1111-45bc-902a-247046a11114",
"installCounts": 1432
},
{
"date": "2024-11-25",
"appKey": "com.riadalabs.jira.plugins.notificationassistant",
"productId": "acd011b1-1111-45bc-902a-247046a11115",
"installCounts": 1436
},
{
"date": "2024-12-02",
"appKey": "com.riadalabs.jira.plugins.notificationassistant",
"productId": "acd011b1-1111-45bc-902a-247046a1116",
"installCounts": 1426
}
]
}Rate this page: